Bug 218555 - I2O disks not found during FC6 install on box with Adaptec 2100S controller
Summary: I2O disks not found during FC6 install on box with Adaptec 2100S controller
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kudzu (Show other bugs)
(Show other bugs)
Version: 6
Hardware: i686 Linux
medium
high
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-12-05 23:27 UTC by Eric Tenorio
Modified: 2014-03-17 03:04 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-02 03:49:20 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Eric Tenorio 2006-12-05 23:27:45 UTC
Description of problem:

  When attempting to install FC6 on all machines with Adaptec 2100S RAID
controller (I2O), no hard disks are found and install fails.

  NOTE: Install on same machines with FC5 identifies hard disks.

  Exception statements in '/tmp/anaconda.log' indicates I2O drives not found.
    "exception checking disk blacklist on i2o!hda: (2, 'No such file or directory')"
    "exception checking disk blacklist on i2o!hdb: (11, 'Resource temporarily
unavailable')"

   Traced through anaconda python code and found exception messages originate
from file 'isys.py' and method "driveDict(klassArg)"

   Further analysis points to values returned by 'kudzu.probe()' call.
   Call to kudzu.probe() returns device structure which contains three fields,
     'Desc', 'Device' and 'Driver'.

   FC6 install - 'Device' field contains 'i2o!hda' and 'i2o!hdb'
   FC5 install - 'Device' field contains 'i2o/hda' and 'i2o/hdb'

  
Version-Release number of selected component (if applicable):


How reproducible:

  Reproducible with every install on a machine with Adaptec 2100S RAID Controller.

Steps to Reproduce:
1. Boot with FC6 disc 1
2. Attempt install/upgrade
  
Actual results:

  Dialog box indicates that no hard disks were found and installation will not
contiue.

Expected results:


Additional info:

Comment 1 Bill Nottingham 2006-12-06 00:04:35 UTC
This is fixed in kudzu-1.2.57.3 or later, currently in updates-testing.

Comment 2 Erik Plossl 2006-12-30 00:48:07 UTC
I am having the same issue with a current install of FC6 on a dual PIII 1.266
mhz machine with an Adaptec 3210S SCSI RAID card.  I have tried everything I can
think of.  When watching the data in the F3 screen, I see that the device is
detected, and the system sees /dev/i2o/hda and hdb.  After that, the system then
goes to check the media.  After checking the media, I then see the screen pop up
saying that it's loading the i2o_block driver, and anaconda starts.  However,
when it gets to the point where it asks me where to install the software, there
are no drives available to install to.

Comment 3 Bill Nottingham 2007-01-02 03:49:20 UTC
This is fixed in the currently released kudzu updates. However, it would require
respinning the anaconda tree to allow for installs.

Cc'ing anaconda group, as this might be fixable in an updates.img.


Note You need to log in before you can comment on or make changes to this bug.